Package org.eclipse.microprofile.openapi.apps.airlines.resources.bookings

# Class BookingResource

java.lang.Object
org.eclipse.microprofile.openapi.apps.airlines.resources.bookings.BookingResource

@Path("/bookings") public class BookingResource extends Object

## Constructor Summary

Constructors
Constructor
Description
`BookingResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`createBooking(Booking task)`
`jakarta.ws.rs.core.Response`
`deleteBooking(int id)`
`jakarta.ws.rs.core.Response`
`getBooking(int id)`
`jakarta.ws.rs.core.Response`
`getBookings()`
`jakarta.ws.rs.core.Response`
`updateBooking(int id, Booking booking)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BookingResource

public BookingResource()

## Method Details

### getBookings

@GET @Produces("application/json") public jakarta.ws.rs.core.Response getBookings()

### createBooking

@POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response createBooking(Booking task)

### getBooking

@GET @Path("{id}") @Produces("application/json") public jakarta.ws.rs.core.Response getBooking(@PathParam("id") int id)

### updateBooking

@PUT @Path("{id}") @Consumes("application/json") @Produces("text/plain") public jakarta.ws.rs.core.Response updateBooking(@PathParam("id") int id, Booking booking)

### deleteBooking

@DELETE @Path("{id}") @Produces("text/plain") public jakarta.ws.rs.core.Response deleteBooking(@PathParam("id") int id)